API reference
Create shipment
Creates the shipment for a fulfillment order, with its carrier and tracking number.
POST
/v1/fulfillment/orders/{id}/shipmentCreates the shipment for a fulfillment order, with its carrier and tracking number.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/fulfillment/orders/string/shipment" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "fulfillmentOrderId": "string", "orderId": "string", "orderNumber": "string", "shipmentId": null, "trackingNumber": null, "trackingLink": null, "labelUrl": null, "carrierName": null}